Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Parametry dotazů

api-version string vyžadováno

The API version to use for this operation.

Parametry záhlaví

Foundry-Features enum vyžadováno

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Parametry cesty

name string vyžadováno

Name of the model.

version string vyžadováno

Version of the model.

Text požadavku

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum vyžadováno

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
blobReference BlobReference vyžadováno

Blob reference details.

blobUri string vyžadováno

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string vyžadováno

ARM ID of the storage account to use.

credential SasCredential vyžadováno

SAS Credential definition

sasUri string vyžadováno

SAS uri

type enum vyžadováno

Type of credential

SAS
pendingUploadId string vyžadováno

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum vyžadováno

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Hlavičky

x-ms-error-code string

String error code indicating what went wrong.

Text

Content-Type: application/json
error Azure.Core.Foundations.Error vyžadováno

The error object.

code string vyžadováno

One of a server-defined set of error codes.

message string vyžadováno

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Hlavičky

x-ms-error-code string

String error code indicating what went wrong.

Text

Content-Type: application/json
error Azure.Core.Foundations.Error vyžadováno

The error object.

code string vyžadováno

One of a server-defined set of error codes.

message string vyžadováno

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Žádost

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026